Package com.castlabs.android.player

## Class CustomUtcTimingElement

- java.lang.Object
- - com.castlabs.android.player.CustomUtcTimingElement

- All Implemented Interfaces:
    `Parcelable`

      public final class CustomUtcTimingElement
      extends Object
      implements Parcelable

  Represents a UTCTiming element specifying how the client should synchronize its clock with the server.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<CustomUtcTimingElement>` | `CREATOR` |
    `boolean` | `force` |
    `String` | `schemeIdUri` |
    `String` | `value` |

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomUtcTimingElement​(String schemeIdUri, String value, boolean force)` | Constructs the UTCTiming element with the specified parameters

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### schemeIdUri

          public final String schemeIdUri

    - #### value

          public final String value

    - #### force

          public final boolean force

    - #### CREATOR

          public static final Parcelable.Creator<CustomUtcTimingElement> CREATOR

  - ### Constructor Detail

    - #### CustomUtcTimingElement

          public CustomUtcTimingElement​(String schemeIdUri,
                                        String value,
                                        boolean force)

      Constructs the UTCTiming element with the specified parameters
      Parameters:
        `schemeIdUri` - Scheme Id URL, see DASH "urn:mpeg:dash:utc:xxx" identifiers
        `value` - The value corresponding to the scheme being used
        `force` - Whether to force the usage or not. If `true` this element will be used always regardless of what's informed in the manifest. If `false` then it will be used as a fallback only

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`